@font-face {
    font-family: 'SangBleuRepublic-Regular-WebTrial';
    src: url('../font/SangBleuRepublic-Regular-WebTrial.eot');
    /* IE9 Compat Modes */
    src: url('../font/SangBleuRepublic-Regular-WebTrial.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../font/SangBleuRepublic-Regular-WebTrial.woff2') format('woff2'), /* Super Modern Browsers */
    url('../font/SangBleuRepublic-Regular-WebTrial.woff') format('woff'), /* Pretty Modern Browsers */
    url('../font/SangBleuRepublic-Regular-WebTrial.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../font/SangBleuRepublic-Regular-WebTrial.svg') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Neue Haas Grotesk Display Pro';
    src: url('../font/NeueHaasDisplay-Roman.eot');
    /* IE9 Compat Modes */
    src: url('../font/NeueHaasDisplay-Roman.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../font/NeueHaasDisplay-Roman.woff2') format('woff2'), /* Super Modern Browsers */
    url('../font/NeueHaasDisplay-Roman.woff') format('woff'), /* Pretty Modern Browsers */
    url('../font/NeueHaasDisplay-Roman.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../font/NeueHaasDisplay-Roman.svg') format('svg');
    /* Legacy iOS */
}

*,
*:after,
*:before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    height: 100vh;
    /* overflow: hidden; */
    background-color: #7C8974;
}

.grid-container {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 10fr 1fr;
    grid-template-rows: 1fr 10fr 1fr;
    grid-template-areas: "film header theatre" "gside main bside" "whatson footer about";
    height: 100%;
    /* justify-items: center; */
}

header {
    grid-area: header;
}

.logo {
    height: 42.5px;
    width: 42.5px;
    margin: auto;
    padding-top: 1%;
}

.logo:hover {
    height: 43.5px;
    width: 43.5px;
}

.film {
    grid-area: film;
    padding: 2.5em;
    margin-left: 0;
    margin-right: auto;
}

.film a {
    text-decoration: none;
    color: black;
}

.theatre {
    grid-area: theatre;
    padding: 2.5em;
    margin-left: auto;
    margin-right: 0;
}

.theatre a {
    text-decoration: none;
    color: black;
}

.gside {
    margin: auto;
    margin-left: -4rem;
    grid-area: gside;
}

.gside .gentle {
    transform: rotate(90deg);
}

main {
    position: relative;
    grid-area: main;
    display: grid;
    margin-top: 5%;
    margin-left: 10%;
    margin-right: 10%;
    /* background-color: seagreen; */
}

main img {
    white-space: nowrap;
    display: inline-block;
    width: 40%;
    height: 25%;
    max-width: 40%;
    max-height: 25%;
}

article a {
    text-decoration: underline;
    color: black;
}

.content-blog ul {
    list-style-type: none;
}

.content-blog li span {
    display: inline-block;
    width: max-content;
}

#text2 {
    padding: 0px;
}

.bside {
    top: 36%;
    text-align: center;
    grid-area: bside;
    position: absolute;
    right: 0;
    padding: 25px;
    transform: rotate(90deg) translate(100%, 0);
    transform-origin: 100% 0;
}

.whatson {
    white-space: nowrap;
    grid-area: whatson;
    /* background-color: yellow; */
    padding: 2.5em;
    margin-left: 0;
    margin-right: auto;
}

.whatson a {
    text-decoration: none;
    color: black;
}

footer {
    grid-area: footer;
    /* background-color: yellow; */
}

.about {
    grid-area: about;
    /* background-color: yellow; */
    padding: 2.5em;
    margin-left: auto;
    margin-right: 0;
}

.about a {
    text-decoration: none;
    color: black;
}

h1 {
    font-family: 'SangBleuRepublic-Regular-WebTrial';
    font-size: 3.5rem;
    font-weight: 500;
    color: black;
    text-decoration: none;
}

h2 {
    font-family: 'Neue Haas Grotesk Display Pro';
    font-size: 1.25rem;
    font-weight: 500;
    color: black;
    /* text-decoration: none; */
}

h3 {
    font-family: 'Neue Haas Grotesk Display Pro';
    font-size: 1rem;
    font-weight: 500;
    color: black;
    text-decoration: none;
    text-transform: capitalize;
}

h4 {
    font-family: 'Neue Haas Grotesk Display Pro';
    font-size: 2rem;
    font-weight: 700;
    color: black;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
    font-size: 1.2rem;
}

hr {
    display: block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: auto;
    margin-right: auto;
    border-style: dashed;
    border-width: 1.25px;
    color: black;
}

@media (max-width: 500px) {
    .grid-container {
        display: grid;
        align-items: center;
        grid-template-columns: 1fr 10fr 1fr;
        grid-template-rows: 1fr 10fr 1fr;
        grid-template-areas: "film   header  theatre" "main    main    main" "whatson   footer  about";
        height: 100%;
        justify-items: center;
        /* overflow: hidden; */
    }
    .logo {
        position: relative;
        height: 2.5rem;
        width: 2.5rem;
        margin-bottom: 65%;
        right: 40%;
    }
    main {
        position: relative;
        display: block;
        grid-area: main main main;
        justify-items: center;
        align-items: center;
        padding: 15px;
    }
    main img {
        display: none
    }
    .film {
        grid-area: film;
        padding-left: 1em;
        padding-top: 1em;
        margin-left: 0;
        /* margin-right: auto; */
    }
    .theatre {
        grid-area: theatre;
        padding-right: 1em;
        padding-top: 1em;
        margin-left: auto;
        margin-right: 0;
    }
    .whatson {
        white-space: nowrap;
        grid-area: whatson;
        padding-left: 1em;
        padding-bottom: 1em;
        margin-left: 0;
        margin-right: auto;
    }
    footer {
        grid-area: footer;
    }
    .about {
        grid-area: about;
        padding-right: 1em;
        padding-bottom: 1em;
        margin-left: auto;
        margin-right: 0;
    }
}